<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateGiftCardsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: gift_cards
         */
        Schema::create('gift_cards', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->string('card_code', 16)->nullable();
            $table->integer('cvv')->nullable();
            $table->date('exp_date')->nullable();
            $table->decimal('admin_fee', 50)->nullable();
            $table->decimal('card_setup_fee', 50)->nullable();
            $table->decimal('card_balance', 50)->nullable();
            $table->tinyInteger('status')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('gift_cards');
    }
}
