<?php

namespace Litecms\GiftCard\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class GiftCardTransformer extends TransformerAbstract
{
    public function transform(\Litecms\GiftCard\Models\GiftCard $gift_card)
    {
        return [
            'id'                => $gift_card->getRouteKey(),
            'key'               => [
                'public'    => $gift_card->getPublicKey(),
                'route'     => $gift_card->getRouteKey(),
            ], 
            'user_id'           => $gift_card->user_id,
            'card_code'         => $gift_card->card_code,
            'cvv'               => $gift_card->cvv,
            'exp_date'          => $gift_card->exp_date,
            'admin_fee'         => $gift_card->admin_fee,
            'card_setup_fee'    => $gift_card->card_setup_fee,
            'card_balance'      => $gift_card->card_balance,
            'status'            => $gift_card->status,
            'url'               => [
                'public'    => trans_url('gift_card/'.$gift_card->getPublicKey()),
                'user'      => guard_url('gift_card/gift_card/'.$gift_card->getRouteKey()),
            ], 
            'status'            => trans('app.'.$gift_card->status),
            'created_at'        => format_date($gift_card->created_at),
            'updated_at'        => format_date($gift_card->updated_at),
        ];
    }
}